<?php

declare(strict_types=1);

namespace App\Enum\Organization;

use App\Enum\EnumMethodsTrait;

/**
 * Liste des OPCA.
 */
enum OpcaEnum: string
{
    use EnumMethodsTrait;

    case ACTALIANS = 'ACTALIANS';
    case AFDAS = 'AFDAS';
    case AGEFOS = 'AGEFOS';
    case ANFA = 'ANFA';
    case ANFH = 'ANFH';
    case APCMA = 'APCMA';
    case CONSTRUCTYS = 'CONSTRUCTYS';
    case FONGECIF = 'FONGECIF';
    case FAFIEC = 'FAFIEC';
    case FAFIH = 'FAFIH';
    case FAFSEA = 'FAFSEA';
    case FAF_TT = 'FAF_TT';
    case FIF_PL = 'FIF_PL';
    case FORCO = 'FORCO';
    case INTERGROS = 'INTERGROS';
    case OPCA3 = 'OPCA3_PLUS';
    case OPCA_DEFI = 'OPCA_DEFI';
    case OPCA_BAIA = 'OPCA_BAIA';
    case OPCA_TRANSPORTS = 'OPCA_TRANSPORTS';
    case OPCAIM = 'OPCAIM';
    case OPCALIA = 'OPCALIA';
    case OPCALIM = 'OPCALIM';
    case UNIFAF = 'UNIFAF';
    case UNIFORMATION = 'UNIFORMATION';
    case VIVEA = 'VIVEA';
    case AGEFOS_PME = 'AGEFOS_PME';
    case CNFPT = 'CNFPT';
}
